List organizations the caller can select
const url = 'https://api.runta.com/v2/organizations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.runta.com/v2/organizations \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Caller organizations.
object
An organization the device credential can select.
object
Role granted to the caller in the current organization.
True when this is the organization the credential acts in.
Example
{ "data": [ { "role": "owner" } ]}Missing, malformed, or rejected bearer token
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Operation is not implemented
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}